org.apache.commons.collections4.map

## Class AbstractHashedMap.Values<V>

- java.lang.Object
- - java.util.AbstractCollection<V>
  - - org.apache.commons.collections4.map.AbstractHashedMap.Values<V>

- All Implemented Interfaces:
    Iterable<V>, Collection<V>
  Enclosing class:
    AbstractHashedMap<K,V>

      protected static class AbstractHashedMap.Values<V>
      extends AbstractCollection<V>

  Values implementation.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Values(AbstractHashedMap<?,V> parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `contains(Object value)`
    `Iterator<V>` | `iterator()`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractCollection

      `add, addAll, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `equals, hashCode, parallelStream, removeIf, spliterator, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### Values

          protected Values(AbstractHashedMap<?,V> parent)

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<V>`
      Specified by:
        `size` in class `AbstractCollection<V>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<V>`
      Overrides:
        `clear` in class `AbstractCollection<V>`

    - #### contains

          public boolean contains(Object value)

      Specified by:
        `contains` in interface `Collection<V>`
      Overrides:
        `contains` in class `AbstractCollection<V>`

    - #### iterator

          public Iterator<V> iterator()

      Specified by:
        `iterator` in interface `Iterable<V>`
      Specified by:
        `iterator` in interface `Collection<V>`
      Specified by:
        `iterator` in class `AbstractCollection<V>`

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.